Bug 1289788 - pbuilder-0.221.2 is available
pbuilder-0.221.2 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pbuilder (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 19:21 EST by Upstream Release Monitoring
Modified: 2015-12-22 17:05 EST (History)
2 users (show)

See Also:
Fixed In Version: pbuilder-0.221.3-1.fc22 pbuilder-0.221.3-1.fc23
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 02:24:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 0.221.2 (#1289788) (880 bytes, patch)
2015-12-08 19:22 EST, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-12-08 19:21:50 EST
Latest upstream release: 0.221.2
Current version/release in rawhide: 0.221.1-1.fc24
URL: https://tracker.debian.org/pkg/pbuilder

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-12-08 19:22:03 EST
Created attachment 1103754 [details]
[patch] Update to 0.221.2 (#1289788)
Comment 2 Upstream Release Monitoring 2015-12-08 19:26:55 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12116425
Comment 3 Upstream Release Monitoring 2015-12-09 09:12:52 EST
smani's pbuilder-0.221.2-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=704388
Comment 4 Fedora Update System 2015-12-09 09:15:46 EST
pbuilder-0.221.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ed159e5cc7
Comment 5 Sergio Monteiro Basto 2015-12-09 14:21:01 EST
(In reply to Upstream Release Monitoring from comment #2)
> Scratch build completed
> http://koji.fedoraproject.org/koji/taskinfo?taskID=12116425

Hello Sandro Mani 

I have been doing one script to automate submits when scratch build is successful, where it is [1], have you done something like it ? if you have any improve let me know , Thanks.


[1] 
cd mypackage
git checkout master
wget --content-disposition https://bugzilla.redhat.com/attachment.cgi?id=1099039
cat 0001-Update-to-2.5.2-1285589.patch | git am
spectool -g pngquant.spec
fedpkg new-sources pngquant-2.5.2.tar.gz
fedpkg clog
fedpkg commit -F clog
git rebase -i HEAD~2 
#we will have two patches but just one in our name if we swap commits and fixup #the last one , will be just one commit with our name 
git show HEAD

fedpkg push; fedpkg build
fedpkg switch-branch f23; git merge master; fedpkg push; fedpkg build
fedpkg switch-branch f22; git merge master; fedpkg push; fedpkg build
fedpkg switch-branch f23; fedpkg update
fedpkg switch-branch f22; fedpkg update
git checkout master
Comment 6 Fedora Update System 2015-12-09 18:22:40 EST
pbuilder-0.221.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pbuilder'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ed159e5cc7
Comment 7 Fedora Update System 2015-12-09 23:54:52 EST
pbuilder-0.221.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pbuilder'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b542ccc8be
Comment 8 Fedora Update System 2015-12-10 06:47:23 EST
pbuilder-0.221.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ca8519fe06
Comment 9 Fedora Update System 2015-12-10 06:47:24 EST
pbuilder-0.221.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2128fbbc06
Comment 10 Sandro Mani 2015-12-10 06:52:38 EST
@Sergio Monteiro Basto 

Hi, no I'm doing it the old manual way. The only helper script is to merge and build for other branches:

#!/bin/sh

if [ "$1" == "" ]; then
        echo "Usage: $0 branch"
        exit 1
fi

git checkout $1 || exit 1
git merge master || exit 1
git push || exit 1
fedpkg build --nowait
git checkout master


I tend to also look at the build log and search for "error" or "warning" to see if there are failure which don't cause the build to fail, but have side effects (such as badly generated documentation i.e.). If you included something like this in your script that might be really neat, possibly filtering compiler warnings which are safe to ignore :)
Comment 11 Fedora Update System 2015-12-11 01:01:58 EST
pbuilder-0.221.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pbuilder'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ca8519fe06
Comment 12 Fedora Update System 2015-12-11 14:58:02 EST
pbuilder-0.221.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pbuilder'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2128fbbc06
Comment 13 Fedora Update System 2015-12-22 02:24:02 EST
pbuilder-0.221.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-12-22 17:05:49 EST
pbuilder-0.221.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.